%define major   1
%define libname %mklibname nlopt %{major}
%define devname %mklibname nlopt -d

Name:           nlopt
Version:        2.10.0
Release:        %mkrel 1
Summary:        A library for nonlinear optimization
License:        LGPL-2.0-only
Group:          System/Libraries
URL:            https://nlopt.readthedocs.io/en/latest/
Source0:        https://github.com/stevengj/nlopt/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  hdf5-devel

%description
NLopt is a free/open-source library for nonlinear optimization,
providing a common interface for a number of different free
optimization routines available online as well as original
implementations of various other algorithms.

#------------------------------------------------

%package -n %{libname}
Summary:        A library for nonlinear optimization
Group:          System/Libraries

%description -n %{libname}
NLopt is a free/open-source library for nonlinear optimization,
providing a common interface for a number of different free
optimization routines available online as well as original
implementations of various other algorithms.

#------------------------------------------------

%package -n %{devname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake \
   -DCMAKE_SKIP_RPATH:BOOL=OFF \
   -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
   -DNLOPT_MATLAB=OFF \
   -DNLOPT_CXX:BOOL=ON \
   -DNLOPT_TESTS:BOOL=ON \
   -DNLOPT_PYTHON:BOOL=OFF \
   -DNLOPT_OCTAVE:BOOL=OFF \
   -DNLOPT_SWIG:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libnlopt.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/nlopt.h
%{_includedir}/nlopt.hpp
%{_libdir}/libnlopt.so
%{_libdir}/cmake/nlopt/
%{_libdir}/pkgconfig/nlopt.pc
%{_mandir}/man3/*


%changelog
* Thu Feb 06 2025 daviddavid <daviddavid> 2.10.0-1.mga10
+ Revision: 2145815
- new version: 2.10.0
- now libmajor is 1

* Fri Dec 29 2023 daviddavid <daviddavid> 2.7.1-1.mga10
+ Revision: 2023579
- initial package nlopt (needed for stellarium)

